<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>net.ihe.gazelle</groupId>
    <artifactId>chxua-validator-jar</artifactId>
    <version>1.4.2-SNAPSHOT</version>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <git.user.name>git</git.user.name>
        <git.user.token>git</git.user.token>
        <git.project.url>
            https://${git.user.name}:${git.user.token}@gitlab.inria.fr/gazelle/specific-tools/epr/chxua-validator-jar
        </git.project.url>
        <maven.release.plugin.version>2.5.3</maven.release.plugin.version>
        <nexus.staging.maven.plugin.version>1.6.8</nexus.staging.maven.plugin.version>
        <sonar.maven.plugin>3.5.0.1254</sonar.maven.plugin>
    </properties>

    <scm>
        <connection>scm:git:${git.project.url}</connection>
        <developerConnection>scm:git:${git.project.url}</developerConnection>
        <url>${git.project.url}</url>
        <tag>HEAD</tag>
    </scm>

    <issueManagement>
        <system>JIRA</system>
        <url>https://gazelle.ihe.net/jira/browse/GSS</url>
    </issueManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>gazelle-plugins</artifactId>
                <version>1.60</version>
            </plugin>
            <plugin>
                <groupId>net.ihe.gazelle</groupId>
                <artifactId>gazelle-generator-jar</artifactId>
                <version>1.0.1</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>genvalidator</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <samplesDescriptors>
                        <validationDescriptor>
                            <umlpath>${basedir}/../chxua-validator-model/models/chxua.uml</umlpath>
                            <outputFolder>${basedir}/src/test/resources/chxua</outputFolder>
                            <propertiesFile>${basedir}/../chxua-validator-model/chain/${default.properties.filename}</propertiesFile>
                        </validationDescriptor>
                    </samplesDescriptors>
                    <testDescriptors>
                        <validationDescriptor>
                            <umlpath>${basedir}/../chxua-validator-model/models/chxua.uml</umlpath>
                            <outputFolder>${basedir}/src/test/java/net/ihe/gazelle/validator/test/chxua2</outputFolder>
                            <propertiesFile>${basedir}/../chxua-validator-model/chain/${default.properties.filename}</propertiesFile>
                        </validationDescriptor>
                    </testDescriptors>
                    <validationDescriptors>
                        <validationDescriptor>
                            <umlpath>${basedir}/../chxua-validator-model/models/chxua.uml</umlpath>
                            <outputFolder>${basedir}/src/main/java/net/ihe/gazelle/chxua/validator</outputFolder>
                            <propertiesFile>${basedir}/../chxua-validator-model/chain/${default.properties.filename}</propertiesFile>
                        </validationDescriptor>
                    </validationDescriptors>
                    <documentationDescriptors>
                        <documentationDescriptor>
                            <umlpath>${basedir}/../chxua-validator-model/models/chxua.uml</umlpath>
                            <outputFolder>${basedir}/src/main/doc</outputFolder>
                            <propertiesFile>${basedir}/../chxua-validator-model/chain/${default.properties.filename}</propertiesFile>
                        </documentationDescriptor>
                    </documentationDescriptors>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>0.7.9</version>
                <executions>
                    <execution>
                        <id>default-prepare-agent</id>
                        <goals>
                            <goal>prepare-agent</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>default-report</id>
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>report</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-release-plugin</artifactId>
                <version>${maven.release.plugin.version}</version>
                <configuration>
                    <tagNameFormat>@{project.version}</tagNameFormat>
                    <autoVersionSubmodules>true</autoVersionSubmodules>
                    <releaseProfiles>release</releaseProfiles>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <distributionManagement>
        <repository>
            <id>nexus-releases</id>
            <url>https://gazelle.ihe.net/nexus/content/repositories/releases/</url>
        </repository>
        <snapshotRepository>
            <id>nexus-snapshots</id>
            <url>https://gazelle.ihe.net/nexus/content/repositories/snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <repositories>
        <repository>
            <id>IHE</id>
            <name>IHE Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>IHE</id>
            <name>IHE Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

    <dependencies>
        <dependency>
            <groupId>tudresden.ocl20.pivot.tools.codegen.ocl2java.types</groupId>
            <artifactId>tudresden-ocl-types</artifactId>
            <version>3.0.0</version>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>ihe-xmltools-jar</artifactId>
            <version>1.0.1</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.1</version>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
            <version>1.5.6</version>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.10</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.common.code</groupId>
            <artifactId>common-code-jar</artifactId>
            <version>2.0.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>saml-code-jar</artifactId>
            <version>1.1.0</version>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>saml-code-jar</artifactId>
            <type>test-jar</type>
            <version>1.0.0</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>samlihe-validator-jar</artifactId>
            <version>1.0.2</version>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.datatypes</groupId>
            <artifactId>datatypes-code-jar</artifactId>
            <version>1.10</version>
            <scope>provided</scope>
            <exclusions>
                <exclusion>
                    <groupId>xalan</groupId>
                    <artifactId>xalan</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.voc</groupId>
            <artifactId>voc-code-jar</artifactId>
            <version>1.1</version>
            <type>jar</type>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>xerces</groupId>
            <artifactId>xercesImpl</artifactId>
            <version>2.11.0</version>
            <optional>true</optional>
        </dependency>
    </dependencies>

    <profiles>
        <profile>
            <id>dev</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>
        <profile>
            <id>mtc</id>
            <properties>
                <default.properties.filename>default-mtc.properties</default.properties.filename>
            </properties>
        </profile>
        <profile>
            <id>aberge</id>
            <properties>
                <default.properties.filename>default-abe.properties</default.properties.filename>
            </properties>
        </profile>
        <profile>
            <id>yti</id>
            <properties>
                <default.properties.filename>default-yti.properties</default.properties.filename>
            </properties>
        </profile>
        <profile>
            <id>ceoche</id>
            <properties>
                <default.properties.filename>default-ceoche.properties</default.properties.filename>
            </properties>
        </profile>
        <profile>
            <id>sonar</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.sonarsource.scanner.maven</groupId>
                        <artifactId>sonar-maven-plugin</artifactId>
                        <version>${sonar.maven.plugin}</version>
                        <executions>
                            <execution>
                                <phase>verify</phase>
                                <goals>
                                    <goal>sonar</goal>
                                </goals>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
        <profile>
            <id>release</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.sonatype.plugins</groupId>
                        <artifactId>nexus-staging-maven-plugin</artifactId>
                        <version>${nexus.staging.maven.plugin.version}</version>
                        <executions>
                            <execution>
                                <id>default-deploy</id>
                                <phase>deploy</phase>
                                <goals>
                                    <goal>deploy</goal>
                                </goals>
                            </execution>
                        </executions>
                        <configuration>
                            <serverId>nexus-releases</serverId>
                            <nexusUrl>https://gazelle.ihe.net/nexus</nexusUrl>
                            <skipStaging>true</skipStaging>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>


</project>
